import request from "@/utils/request";

export function getPrecoolPage(data) {
    return request({
        url: '/production-white-strip-pre-cooling/page',
        method: 'get',
        params: data
    })
}

export function getPrecoolList(data) {
    return request({
        url: '/production-white-strip-pre-cooling/list',
        method: 'post',
        data: data
    })
}

export function getPercoolById(data) {
    return request({
        url: '/production-white-strip-pre-cooling/listById',
        method: 'get',
        params: data
    })
}

export function addPercool(data) {
    return request({
        url: '/production-white-strip-pre-cooling/add',
        method: 'post',
        data: data
    })
}

export function editPercool(data) {
    return request({
        url: '/production-white-strip-pre-cooling/edit',
        method: 'post',
        data: data
    })
}

export function delPercool(data) {
    return request({
        url: '/production-white-strip-pre-cooling/delete',
        method: 'post',
        data: data
    })
}